Create File Manager File From Chunked File - MindBridge Documentation
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
POST
/ v1
file-manager
create-from-chunked-file
Create File Manager File From Chunked File
cURL
curl --request POST \
--url https://{tenant}.mindbridge.ai/api/v1/file-manager/create-from-chunked-file \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"chunkedFileId": "<string>",
"apiFileManagerFile": {
"engagementId": "<string>",
"parentFileManagerEntityId": "<string>",
"name": "<string>"
}
}
'```
```python
import requests
url = "https://{tenant}.mindbridge.ai/api/v1/file-manager/create-from-chunked-file"
payload = {
"chunkedFileId": "<string>",
"apiFileManagerFile": {
"engagementId": "<string>",
"parentFileManagerEntityId": "<string>",
"name": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
chunkedFileId: '<string>',
apiFileManagerFile: {
engagementId: '<string>',
parentFileManagerEntityId: '<string>',
name: '<string>'
}
})
};
fetch('https://{tenant}.mindbridge.ai/api/v1/file-manager/create-from-chunked-file', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenant}.mindbridge.ai/api/v1/file-manager/create-from-chunked-file",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'chunkedFileId' => '<string>',
'apiFileManagerFile' => [
'engagementId' => '<string>',
'parentFileManagerEntityId' => '<string>',
'name' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
?>
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{tenant}.mindbridge.ai/api/v1/file-manager/create-from-chunked-file"
payload := strings.NewReader("{\n \"chunkedFileId\": \"<string>\",\n \"apiFileManagerFile\": {\n \"engagementId\": \"<string>\",\n \"parentFileManagerEntityId\": \"<string>\",\n \"name\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Response
201 - application/json
{
"originalName": "<string>",
"extension": "<string>",
"id": "<string>",
"version": 123,
"creationDate": "2023-11-07T05:31:56Z",
"lastModifiedDate": "2023-11-07T05:31:56Z",
"createdUserInfo": {
"userId": "<string>",
"userName": "<string>"
},
"lastModifiedUserInfo": {
"userId": "<string>",
"userName": "<string>"
},
"engagementId": "<string>",
"parentFileManagerEntityId": "<string>",
"name": "<string>",
"status": [],
"fileInfoId": "<string>"
}
Authorizations
Authorization
string
header
required
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
chunkedFileId: string (required)apiFileManagerFile: File Manager File (required)
Permissions
api.file-manager.write
Next
Create File Manager File From Chunked File (deprecated)